<div class="card mb-4">
	<div class="card-header">
		<i class="fas fa-table mr-1"></i> Información
		<button *ngxPermissionsOnly="'models_upload'" class="btn btn-info" style=" float: right; margin-left: 10px;" data-toggle="modal"  data-target="#ModalcargarArchivo"><i class="fas fa-cloud-upload-alt"></i> Subir Ventas</button>
		<button *ngxPermissionsOnly="'models_create'" class="btn btn-primary" style=" float: right;" data-toggle="modal" (click)="onResetForm()" data-target="#formularioCreacion"><i class="fas fa-plus-circle"></i> Modelo</button>
	</div>
	<div class="card-body">
		<div class="card">
			<div class="card-body">
				<form [formGroup]="consultaForm" (ngSubmit)="onConsulta()" >
					<div class="row">
		      			<div class="col-md-3">
			        		<ng-select placeholder='-- Identificación --' formControlName="identification" [items]="modelos" bindLabel="identification" bindValue="id"> </ng-select>
				        </div>
				        <div class="col-md-3">
			        		<ng-select placeholder='-- Nombre --' [items]="modelos" formControlName="nombre" bindLabel="nomcompleto"  bindValue="id"> </ng-select>
				        </div>
				        <div class="col-md-4"> 
			        		<ng-select placeholder='-- Nick --' [items]="nicks" formControlName="nick" bindLabel="nickname" bindValue="id"> </ng-select> 
				        </div>
				        <div class="col-md-2">
			        		<button class="btn btn-primary" autofocus style="margin-left: 20px;"><i class="fas fa-search"></i> Consultar</button>
				        </div>
			        </div>
				</form>
			</div>
		</div>
		<div class="table-responsive" style="margin-top: 20px;">
			<table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
				<thead>
				<tr>
					<th>Identificación</th>
					<th>Nombre</th>
					<th>Celular</th>
					<th>Fecha de Ingreso</th>
					<th style=" width: 7%;">Acción</th>
				</tr>
				</thead>
				<tfoot>
					<tr>
						<th>Identificación</th>
						<th>Nombre</th>
						<th>Celular</th>
						<th>Fecha de Ingreso</th>
						<th>Acción</th>
					</tr>
				</tfoot>
				<tbody>
					<tr *ngFor="let modelo of modeloTable">
						<td>{{ modelo.identification }}</td>
						<td>{{ modelo.name + ' '+modelo.lastname }}</td>
						<td>{{ modelo.cellphone }}</td>
						<td>{{ modelo.admission_date }}</td>
						<td style="text-align: center;">
							<a class="badge badge-pill badge-primary" *ngxPermissionsOnly="'models_edit'" style=" font-size: 12px;" href="javascript:void(0)" (click)="onEditar(modelo)" data-toggle="modal" data-target="#formularioCreacion"><i class="fas fa-edit"></i></a> 
							<a class="badge badge-pill badge-danger" *ngxPermissionsOnly="'models_delete'" href="javascript:void(0)" style=" margin-left: 12px;" (click)="onEliminar(modelo.id)"><i class="fas fa-trash-alt"></i></a> 
						</td> 
					</tr>
				</tbody>
			</table>
		</div>
	</div>
</div>
<div
  class="modal fade "
  id="formularioCreacion"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true" data-backdrop="static"
> 
  <div
    class="modal-dialog"
    role="document"
    style=" width: 60% !important; max-width: 90%; "
  >
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario</h5>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="modeloForm" (ngSubmit)="onSaveForm()">
        <div class="modal-body">
          <div class="container-fluid">
            <span class="badge badge-info" style="font-size: 14px;"><i class="fas fa-caret-right"></i> Información Personal</span>
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label">Identificación:</label>
                <label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf=" f.identification.invalid && (submitted || f.identification.touched)">El campo es requerido</label>
                <input type="text" class="form-control" formControlName="identification" [ngClass]="{
                    'is-invalid':
                      f.identification.errors &&
                      (f.identification.touched || submitted),
                    'is-valid':
                      f.identification.touched && !f.identification.errors
                  }"
                />
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Nombres:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.name.invalid && (submitted || f.name.touched)"
                >
                  El campo es requerido</label
                >
                <input
                  type="text"
                  class="form-control"
                  formControlName="name"
                  [ngClass]="{
                    'is-invalid':
                      f.name.errors && (f.name.touched || submitted),
                    'is-valid': f.name.touched && !f.name.errors
                  }"
                />
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Apellidos:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.lastname.invalid && (submitted || f.lastname.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="text"
                  class="form-control"
                  formControlName="lastname"
                  [ngClass]="{
                    'is-invalid':
                      f.lastname.errors && (f.lastname.touched || submitted),
                    'is-valid': f.lastname.touched && !f.lastname.errors
                  }"
                /> 
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Correo:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.email.invalid && (submitted || f.email.touched)"
                >
                  El campo es requerido</label
                >
                <input
                  type="text"
                  class="form-control"
                  formControlName="email"
                  [ngClass]="{
                    'is-invalid':
                      f.email.errors && (f.email.touched || submitted),
                    'is-valid': f.email.touched && !f.email.errors
                  }"
                />
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Celular:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.cellphone.invalid && (submitted || f.cellphone.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="number"
                  class="form-control"
                  formControlName="cellphone"
                  [ngClass]="{
                    'is-invalid':
                      f.cellphone.errors && (f.cellphone.touched || submitted),
                    'is-valid': f.cellphone.touched && !f.cellphone.errors
                  }"
                />
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Fecha de Nacimiento:</label
                >
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.birth_date.invalid && (submitted || f.birth_date.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="date"
                  class="form-control"
                  name="birth_date"
                  formControlName="birth_date"
                  [ngClass]="{
                    'is-invalid':
                      f.birth_date.errors &&
                      (f.birth_date.touched || submitted),
                    'is-valid': f.birth_date.touched && !f.birth_date.errors
                  }"
                />
              </div>
            </div>
            <span
              class="badge badge-info"
              style="font-size: 14px; margin-top: 20px;"
              ><i class="fas fa-caret-right"></i> Información General</span
            >
            <div class="row">
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label">Sede:</label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.sede_id.invalid && (submitted || f.sede_id.touched)"
                >
                  El campo es requerido
                </label>
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="sedes"
                  bindLabel="name"
                  formControlName="sede_id"
                  autofocus
                  bindValue="id"
                ></ng-select>
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Fecha de Ingreso:</label
                >
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.admission_date.invalid &&
                    (submitted || f.admission_date.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="date"
                  class="form-control"
                  name="admission_date"
                  formControlName="admission_date"
                  [ngClass]="{
                    'is-invalid':
                      f.admission_date.errors &&
                      (f.admission_date.touched || submitted),
                    'is-valid':
                      f.admission_date.touched && !f.admission_date.errors
                  }"
                />
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label">EPS: </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.eps_id.invalid && (submitted || f.eps_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="eps"
                  bindLabel="description"
                  formControlName="eps_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label">ARL: </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.afp_id.invalid && (submitted || f.afp_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="arl"
                  bindLabel="description"
                  formControlName="afp_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Fondo Pensión:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.fdp_id.invalid && (submitted || f.fdp_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="fp"
                  bindLabel="description"
                  formControlName="fdp_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Caja Compensación:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.ccf_id.invalid && (submitted || f.ccf_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="cdf"
                  bindLabel="description"
                  formControlName="ccf_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >País:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.country_id.invalid && (submitted || f.country_id.touched)
                  "
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  (change)="onChangeDepartamento($event)"
                  [items]="paises"
                  bindLabel="description"
                  formControlName="country_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Departamento:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    f.department.invalid && (submitted || f.department.touched)
                  "
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  (change)="onChangeCiudad($event)"
                  [items]="departFilter"
                  bindLabel="description"
                  formControlName="department"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Ciudad:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.city_id.invalid && (submitted || f.city_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="ciudFilter"
                  bindLabel="description"
                  formControlName="city_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
            </div>
            <div class="row">
              <div class="col-md-4">
                <label for="recipient-name" class="col-form-label"
                  >Dirección:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="f.address.invalid && (submitted || f.address.touched)"
                >
                  El campo es requerido</label
                >
                <input
                  type="text"
                  class="form-control"
                  formControlName="address"
                  [ngClass]="{
                    'is-invalid':
                      f.address.errors && (f.address.touched || submitted),
                    'is-valid': f.address.touched && !f.address.errors
                  }"
                />
              </div>
            </div>
            <span class="badge badge-info" style="font-size: 14px; margin-top: 20px;"><i class="fas fa-caret-right"></i> Información Bancaria</span>
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label">Banco:</label>
                <label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf=" f.banco_id.invalid && (submitted || f.banco_id.touched)">El campo es requerido</label>
                <ng-select placeholder="-- Seleccionar --"  [items]="bancos" bindLabel="description" formControlName="banco_id" autofocus bindValue="id">
                </ng-select> 
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label">Número de Cuenta:</label>
                <label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="f.cuenta.invalid && (submitted || f.cuenta.touched)"> El campo es requerido</label>
                <input type="text" class="form-control" formControlName="cuenta" [ngClass]="{'is-invalid':f.cuenta.errors && (f.cuenta.touched || submitted),'is-valid': f.cuenta.touched && !f.cuenta.errors }"
                />
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label">Nombre Propietario:</label>
                <input type="text" class="form-control" formControlName="propietario"/>
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label">RUT:</label>
                <label style="color: red; margin-left: 13px; font-size: 12px;" *ngIf="f.rut.invalid && (submitted || f.rut.touched)"> El campo es requerido</label>
                <input type="text" class="form-control" formControlName="rut" [ngClass]="{'is-invalid':f.rut.errors && (f.rut.touched || submitted),'is-valid': f.rut.touched && !f.rut.errors }"/>
              </div>
            </div>
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            id="btnCerrar"
            data-dismiss="modal"
          >
            Cerrar
          </button>
          <button type="submit" class="btn btn-success" id="btnGuardar">
            {{ textbtn }}
          </button>
        </div>
      </form>
    </div>
  </div>
</div>
<div
  class="modal fade"
  id="ModalcargarArchivo"
  tabindex="-1"
  role="dialog"
  aria-labelledby="exampleModalLabel"
  aria-hidden="true"
>
  <div
    class="modal-dialog"
    role="document"
    style=" width: 50% !important; max-width: 90%; "
  >
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title" id="exampleModalLabel">Formulario de Ventas</h5>
        <button
          type="button"
          class="close"
          data-dismiss="modal"
          aria-label="Close"
        >
          <span aria-hidden="true">&times;</span>
        </button>
      </div>
      <form [formGroup]="fileForm" (ngSubmit)="onEnviarArchivo()">
        <div class="modal-body">
          <div class="container-fluid">
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Fecha Inicio:</label
                >
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    g.fecha_inicio.invalid &&
                    (btnSubir || g.fecha_inicio.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="date"
                  class="form-control"
                  name="fecha_inicio"
                  formControlName="fecha_inicio"
                  [ngClass]="{
                    'is-invalid':
                      g.fecha_inicio.errors &&
                      (g.fecha_inicio.touched || btnSubir),
                    'is-valid': g.fecha_inicio.touched && !g.fecha_inicio.errors
                  }"
                />
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Fecha Fin:</label
                >
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="
                    g.fecha_fin.invalid && (btnSubir || g.fecha_fin.touched)
                  "
                >
                  El campo es requerido</label
                >
                <input
                  type="date"
                  class="form-control"
                  name="fecha_fin"
                  formControlName="fecha_fin"
                  [ngClass]="{
                    'is-invalid':
                      g.fecha_fin.errors && (g.fecha_fin.touched || btnSubir),
                    'is-valid': g.fecha_fin.touched && !g.fecha_fin.errors
                  }"
                />
              </div>
            </div>
            <div class="row">
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Pagina:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="g.page_id.invalid && (btnSubir || g.page_id.touched)"
                >
                  El campo es requerido</label
                >
                <ng-select
                  placeholder="-- Seleccionar --"
                  [items]="paginas"
                  bindLabel="name"
                  formControlName="page_id"
                  autofocus
                  bindValue="id"
                >
                </ng-select>
              </div>
              <div class="col-md-6">
                <label for="recipient-name" class="col-form-label"
                  >Cargar Ventas:
                </label>
                <label
                  style="color: red; margin-left: 13px; font-size: 12px;"
                  *ngIf="g.file.invalid && (btnSubir || g.file.touched)"
                >
                  El campo es requerido</label
                >
                <input
                  type="file"
                  class="btn btn-info form-control-file"
                  id="result_file"
                  name="excel"
                  formControlName="file"
                  (change)="ChangeCargarArchivo($event)"
                  [ngClass]="{
                    'is-invalid': g.file.errors && (g.file.touched || btnSubir),
                    'is-valid': g.file.touched && !g.file.errors
                  }"
                />
              </div>
            </div>
            
          </div>
        </div>
        <div class="modal-footer">
          <button
            type="button"
            class="btn btn-secondary"
            id="btnCerrarModal"
            data-dismiss="modal"
          >
            Cerrar
          </button>
          <button type="submit" class="btn btn-success">Enviar</button>
        </div>
      </form>
    </div>
  </div>
</div>
